#!BPY
""" Registration info for Blender menus:
Name: 'BZW Exporter v2.0.4 (.bzw)'
Blender: 245
Group: 'Export'
Tooltip: 'Export v2.04 compliant BZFlag World files from a blender scene.'
"""
__author__ = ("'Teppic'")
__version__ = "2.0.4_beta1"
__bpydoc__ = """\
This script exports to BZW 2.04 format.
Usage:
Run this script from "File->Export" menu.
		 						

"""
# $Id: bzwImport.py,v 1.2 2006/02/02 18:32:04 andy Exp $
#
#------------------------------------------------------------------------
# BZWExport exporter for blender 2.40 or above
# Copyright (C) 2006: A.D.Foster
#
# ***** BEGIN GPL LICENSE BLOCK *****
#
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# ***** END GPL LICENCE BLOCK *****
import Blender
import bzflag
		
		

def file_callback(filename):
	writer=bzflag.BZfileWrite.writer()
	writer.write(filename)




if Blender.Get('version') < 245:
	print "Warning: BZW export failed, wrong blender version!"
	print " You aren't running blender version 2.45 or greater"
	print " download a newer version from http://blender.org/"
	name = "Your Blender Verion is too old, you need 2.45 or higher%t|Quit Blender and get a newer version?" 
	result = Blender.Draw.PupMenu(name)
	if result:
		res2=Blender.Draw.PupMenu('Really?%t|Yes|No')
		if res2==1: Blender.Quit()
else:
	Blender.Window.FileSelector(file_callback,"Export BZW 2.04", '*.bzw')

